# Documentation

Menu

## ECICharsetTest extends TestCase
in package

FinalYes
ECICharsetTest.php : 19

### Table of Contents

#### Methods

encodingProvider() : array<string|int, mixed>
invalidIdProvider() : array<string|int, mixed>
testGetName() : void
testInvalidDataException() : void

### Methods

#### encodingProvider()

ECICharsetTest.php : 39
`public static encodingProvider() : array<string|int, mixed>`

##### Tags

phpstan-return

  array<int, array{0: int, 1: (string|null)}>

##### Return values

array<string|int, mixed>

#### invalidIdProvider()

ECICharsetTest.php : 24
`public static invalidIdProvider() : array<string|int, mixed>`

##### Tags

phpstan-return

  array<int, array{0: int}>

##### Return values

array<string|int, mixed>

#### testGetName()

ECICharsetTest.php : 49
`public testGetName(int $id[, string|null $name = null ]) : void`

##### Parameters

$id : int
$name : string|null = null

##### Attributes

#[DataProvider]
  'encodingProvider'

#### testInvalidDataException()

ECICharsetTest.php : 28
`public testInvalidDataException(int $id) : void`

##### Parameters

$id : int

##### Attributes

#[DataProvider]
  'invalidIdProvider'

## Search results